<template>
  <section class="result-panel">
    <LeTipTotal
      label="Conta"
      :value="totalAccount.toFixed(2)"
      :symbol="currency.symbol"
    />

    <LeTipTotal
      label="Gorjeta"
      :value="totalTip.toFixed(2)"
      :symbol="currency.symbol"
    />

    <LeTipTotal
      label="Total"
      :value="totalFinal.toFixed(2)"
      :symbol="currency.symbol"
    />

    <LeTipTotal
      label="por Pessoa"
      :value="totalPerPerson.toFixed(2)"
      :symbol="currency.symbol"
    />

    <LeTipTotal
      label="em R$"
      :value="totalBRL.toFixed(2)"
      symbol="R$"
    />
  </section>
</template>

<script>
import LeTipTotal from "./LeTipTotal.vue"

export default {
  name: 'OutputPanel',
  components: {
    LeTipTotal
  },
  props: {
    currency: { type: Object, required: true },
    totalAccount: { type: Number, required: true },
    totalBRL: { type: Number, required: true },
    totalFinal: { type: Number, required: true },
    totalPerPerson: { type: Number, required: true },
    totalTip: { type: Number, required: true },
  }
}
</script>

<style lang="scss" scoped>
  .result-panel {
    display: flex;
    flex-direction: column;
    gap: 12px;
  }
</style>
